Subject: Re: do md5sums differ across architectures?

From: Ethan Benson <[email-masked]>
Date: Thu, 22 Feb 2001 06:49:14 -0900

On Thu, Feb 22, 2001 at 10:24:01AM -0500, Kevin B. Hendricks wrote:
> 
> Hi,
> 
> I ran md5sum on a big bz2 archive on my ppc linux box and then
> ftp'd it to my Sun Solaris 7 box at work.
> 
> I checked it with md5sum on that machine and it differed.
> 
> Okay I thought, a bad packet during upload.
> 
> So I tried again, same result.
> 
> I then passed back and forth (known good archives) and the md5sums
> were different.
> 
> Okay, I thought maybe an endian issue but both Solaris Sparc and PPC
> Linux are big endian.
> 
> Should these sums be different?

no, that would rather defeat the purpose of md5sum hashes.  one of
your md5sum programs is broken.  

or perhaps you ftp'd in text mode instead of binary mode.  

-- 
Ethan Benson
http://www.alaska.net/~erbenson/